Subject: [Fot] New vs old crankshaft

From: Philip Gott <[email-masked]>
Date: Sun, 8 Mar 2026 12:44:15 -0400

What’s the difference between early TR cranks with screws to plug the oil galleries versus those with hex head plugs?
Moldex quoted me $4500 for a ghost
Main crank, so I am rethinking my crank sourcing. I last paid them $2700 in 2019. We shift at 6000 rpm so the billet main is, at that price, a luxury. 
Looking over my inventory, I have a number of usable cranks, but obviously want to lose as little material as possible in the remachining. I have an older crank in good condition, but it has the screws in the oil galleries instead of hex head plugs. Was there a significant upgrade in cranks when they switched gallery plugs? I don’t recall seeing anything about a preferred factory crank.
Thanks and regards to all,
Phil

Sent from my iPhone
_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]